/*	Copyright (c) 1984, 1986, 1987, 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)libc-i386:libc-i386/gen/fpgetrnd.c	1.2"

#include <sys/fp.h>

static int m;

/* fpgetrnd()
 * returns the 80[23]87 coprocessor's current rounding mode.
 */
int
fpgetrnd()
{
    asm("    fstcw  m");
    return m & FPRC;
}
